Subject: Timezones and the strftime function.
From: [email-masked] (Scott McCormick)

26 Sep 1998 01:35:41 -0700
Message-ID: <[email-masked]>
To: [email-masked]

The problem I'm having concerns outputting the correct timezone using strftime function.  I'm compiling using g++ and am using a date class to output messages to an error log file.  I would like for the timezone to appear in this string.  According to ANSI C, the timezone can be output through a %Z format.  
I've tried the same compile on SunOS and HPUX and both report out the timezone.  I saw that each had a preset environent variable TZ which stored information regarding the timezone.  Is this done in a different manner for using cyg-win32?  I saw an earlier message regarding prolems with this, but I was wondering if a fix had been developed yet.

-----
Free e-mail group hosting at http://www.eGroups.com/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".